//
//  MessagingBlurView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 23/07/2025.
//

import SwiftUI

struct MessagingBlurView: View {
    var body: some View {
        ZStack {
            Image("messaging")
            VStack(spacing: 4) {
                Spacer()
                SQIcon(.eye_slash, size: .xl, color: .white)
                SQText("Par mesure de sécurité, nous avons suspendu le compte de cet utilisateur.")
                    .sqSize(18)
                    .sqFont(.semiBold)
                    .sqColor(.white)
                    .multilineTextAlignment(.center)
                    .padding(20)
                SQButton("Afficher") {}
                    .sqButtonType(.line)
                    .sqColorScheme(.white)
                Spacer()
            }
            .frame(maxWidth: .infinity, maxHeight: .infinity)
            .background(
                Color.sqNeutral(100)
                    .opacity(0.5)
            )
            .background(.ultraThinMaterial)
        }
    }
}

#Preview {
    MessagingBlurView()
}
